package cassandracache

import (
	"github.com/gocql/gocql"
	"go.uber.org/zap"
)

// ProvideCassandraCacher provides a Cassandra cache instance for Wire DI
func ProvideCassandraCacher(session *gocql.Session, logger *zap.Logger) CassandraCacher {
	return NewCassandraCacher(session, logger)
}
